org.apache.jmeter.gui.util

## Class JSyntaxSearchToolBar

- java.lang.Object
- - org.apache.jmeter.gui.util.JSyntaxSearchToolBar

All Implemented Interfaces:
  ActionListener, EventListener

    public final class JSyntaxSearchToolBar
    extends Object
    implements ActionListener

Search toolbar associated to `JSyntaxTextArea`

Since:
  5.0

### Field Summary

Fields
`static String` `FIND_ACTION`
`static Color` `LIGHT_RED`

### Constructor Summary

Constructors
Constructor and Description
`JSyntaxSearchToolBar(JSyntaxTextArea dataField)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent evt)`
`JToolBar` `getToolBar()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LIGHT_RED

    public static final Color LIGHT_RED

#### FIND_ACTION

    public static final String FIND_ACTION

See Also:
  Constant Field Values

### Constructor Detail

#### JSyntaxSearchToolBar

    public JSyntaxSearchToolBar(JSyntaxTextArea dataField)

Parameters:
  `dataField` - `JSyntaxTextArea` to use for searching

### Method Detail

#### getToolBar

    public JToolBar getToolBar()

#### actionPerformed

    public void actionPerformed(ActionEvent evt)

Specified by:
  `actionPerformed` in interface `ActionListener`